Network/Country information for a phone number
GET
/workspaces/{workspaceId}/network-lookup
Performs network lookup for a phone number
Parametry zapytania
number
string
Treść odpowiedzi
phoneNumber
string
countryCode
string
The country code in ISO 3166-1 alpha-2 format.
countryPrefix
integer
mcc
string
mnc
string
mccmnc
string
operator
string
formats
object
The phone number in various formats
Pokaż atrybuty podrzędne
formats.e164
string
formats.international
string
formats.national
string
formats.rfc3966
string
typeOfService
string
The type of service that the phone number is provisioned for, mobile, fixed or other
Possible values: mobile, fixed, other
validation
object
The validation status of the phone number, and the reason for the status
Pokaż atrybuty podrzędne
validation.valid
boolean
validation.reason
string
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/network-lookup' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Bulk lookups
Our bulk API supports up to 50 phone number lookups in one request. This number lookup will only be performed on our set of curated number databases and will not perform a network lookup for the given numbers.
GET
/workspaces/{workspaceId}/network-lookup/batch
Performs network lookup for multiple phone numbers using the local embedded database
Parametry zapytania
numbers
string
Comma-separated list of phone numbers to look up (max 50)
Treść odpowiedzi
results
array of object
Pokaż atrybuty podrzędne
results.phoneNumber
string
results.countryCode
string
The country code in ISO 3166-1 alpha-2 format.
results.countryPrefix
integer
results.mcc
string
results.mnc
string
results.mccmnc
string
results.operator
string
results.formats
object
The phone number in various formats
Pokaż atrybuty podrzędne
results.formats.e164
string
results.formats.international
string
results.formats.national
string
results.formats.rfc3966
string
results.typeOfService
string
The type of service that the phone number is provisioned for, mobile, fixed or other
Possible values: mobile, fixed, other
results.validation
object
The validation status of the phone number, and the reason for the status
Pokaż atrybuty podrzędne
results.validation.valid
boolean
results.validation.reason
string
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/network-lookup/batch' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/network-lookup/batch
Performs network lookup for multiple phone numbers using the local embedded database
Treść żądania
phoneNumbers
array of string
wymagane
List of phone numbers to look up
Treść odpowiedzi
results
array of object
Pokaż atrybuty podrzędne
results.phoneNumber
string
results.countryCode
string
The country code in ISO 3166-1 alpha-2 format.
results.countryPrefix
integer
results.mcc
string
results.mnc
string
results.mccmnc
string
results.operator
string
results.formats
object
The phone number in various formats
Pokaż atrybuty podrzędne
results.formats.e164
string
results.formats.international
string
results.formats.national
string
results.formats.rfc3966
string
results.typeOfService
string
The type of service that the phone number is provisioned for, mobile, fixed or other
Possible values: mobile, fixed, other
results.validation
object
The validation status of the phone number, and the reason for the status
Pokaż atrybuty podrzędne
results.validation.valid
boolean
results.validation.reason
string
Przykład kodu
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/network-lookup/batch' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'